<template>
  <mt-modal :ouvert.sync="ouvert" @close="close">
    <section class="mt-modal-align-center">
      <p class="mt-modal-message">
        <slot></slot>
      </p>
      <article class="columns is-vcentered">
        <slot name="buttons">
          <p class="column is-narrow-desktop">
            <b-button
              class="mt-button is-size-8 has-text-weight-semibold"
              type="is-secondary"
              native-type="button"
              expanded
              @click="validerActionSecondaire1"
            >
              {{ bActionSecondaire1 }}
            </b-button>
          </p>
          <p class="column is-narrow-desktop">
            <b-button
              class="mt-button is-size-8 has-text-weight-semibold"
              type="is-secondary"
              native-type="button"
              expanded
              @click="validerActionSecondaire2"
            >
              {{ bActionSecondaire2 }}
            </b-button>
          </p>
          <p class="column is-narrow-desktop">
            <b-button
              class="mt-button is-size-8 has-text-weight-semibold"
              type="is-primary"
              native-type="button"
              expanded
              @click="validerAction"
            >
              {{ bAction }}
            </b-button>
          </p>
        </slot>
      </article>
    </section>
  </mt-modal>
</template>

<script>
import MtModal from '~/components/modal/mt-modal';

export default {
  name: 'MtModalTripleAction',
  components: {
    MtModal,
  },
  props: {
    ouvert: {
      type: Boolean,
      default: false,
      required: true,
    },
    bActionSecondaire1: {
      type: String,
      required: true,
    },
    bActionSecondaire2: {
      type: String,
      required: true,
    },
    bAction: {
      type: String,
      required: true,
    },
  },
  methods: {
    close() {
      this.$emit('close');
      this.updateOuvert();
    },
    updateOuvert() {
      this.$emit('update:ouvert', false);
    },
    validerAction() {
      this.$emit('action');
      this.updateOuvert();
    },
    validerActionSecondaire1() {
      this.$emit('action-secondaire-1');
      this.updateOuvert();
    },
    validerActionSecondaire2() {
      this.$emit('action-secondaire-2');
      this.updateOuvert();
    },
  },
};
</script>

<style scoped lang="scss"></style>
